import 'package:itasmob/data/network/failure.dart';
import 'package:itasmob/domain/model/model.dart';
import 'package:itasmob/domain/repository/repository.dart';
import 'package:itasmob/domain/usecase/base_usecase.dart';
import 'package:dartz/dartz.dart';

class GetNewsUseCase extends BaseUseCase<void, News> {
  Repository _repository;

  GetNewsUseCase(this._repository);
  @override
  Future<Either<Failure, News>> execute(void input) async{
    return await _repository.getNews();
  }
}